Bug 117660 - unable to load ALSA snd_intel8x0 - BUG in remove_proc_entry()
unable to load ALSA snd_intel8x0 - BUG in remove_proc_entry()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-06 13:19 EST by Robert Vojta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 14:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Vojta 2004-03-06 13:19:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Mar  6 14:00:11 echelon kernel: intel8x0_measure_ac97_clock: measured
49950 usecs
Mar  6 14:00:11 echelon kernel: intel8x0: clocking to 48000
Mar  6 14:00:56 echelon kernel: Debug: sleeping function called from
invalid context at include/linux/rwsem.h:43
Mar  6 14:00:56 echelon kernel: in_atomic():0, irqs_disabled():1
Mar  6 14:00:56 echelon kernel: Call Trace:
Mar  6 14:00:56 echelon kernel:  [<02123fc9>] __might_sleep+0x7e/0x88
Mar  6 14:00:56 echelon kernel:  [<02164dd2>] rw_vm+0x1b2/0x398
Mar  6 14:00:56 echelon kernel:  [<021379d3>]
__call_usermodehelper+0x0/0x41
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<021651fb>] get_user_size+0x30/0x57
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<0210e0d5>] handle_BUG+0x2e/0xe5
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<0210e24b>] die+0xbf/0x1af
Mar  6 14:00:56 echelon kernel:  [<0210e526>] do_invalid_op+0x0/0x95
Mar  6 14:00:56 echelon kernel:  [<0210e5b5>] do_invalid_op+0x8f/0x95
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<0218094e>] dput+0x18/0x4d9
Mar  6 14:00:56 echelon kernel:  [<0214d43e>] cache_flusharray+0xef/0x1bf
Mar  6 14:00:56 echelon kernel:  [<021a4393>] remove_proc_entry+0xa0/0xf1
Mar  6 14:00:56 echelon kernel:  [<0e9943e8>]
snd_info_unregister+0x43/0x5e [snd]
Mar  6 14:00:56 echelon kernel:  [<0e99406b>]
snd_info_card_free+0x30/0x3e [snd]
Mar  6 14:00:56 echelon kernel:  [<0e992d5a>]
snd_card_free+0x138/0x18a [snd]
Mar  6 14:00:56 echelon kernel:  [<0218094e>] dput+0x18/0x4d9
Mar  6 14:00:56 echelon kernel:  [<0e9ac116>]
snd_intel8x0_remove+0x13/0x1c [snd_intel8x0]
Mar  6 14:00:56 echelon kernel:  [<021d670a>] pci_device_remove+0x16/0x28
Mar  6 14:00:56 echelon kernel:  [<022226b2>]
device_release_driver+0x3c/0x46
Mar  6 14:00:57 echelon kernel:  [<022226d4>] driver_detach+0x18/0x26
Mar  6 14:00:57 echelon kernel:  [<022228a3>] bus_remove_driver+0x37/0x64
Mar  6 14:00:57 echelon kernel:  [<02222b70>] driver_unregister+0x9/0x2a
Mar  6 14:00:57 echelon kernel:  [<021d6867>]
pci_unregister_driver+0xb/0x13
Mar  6 14:00:57 echelon kernel:  [<0e9ac2e2>]
alsa_card_intel8x0_exit+0xa/0x1e [snd_intel8x0]
Mar  6 14:00:57 echelon kernel:  [<0213d874>] sys_delete_module+0xfe/0x11e
Mar  6 14:00:57 echelon kernel:  [<02158eab>] unmap_vma_list+0xe/0x17
Mar  6 14:00:57 echelon kernel:  [<021593bc>] do_munmap+0x1dc/0x1e6
Mar  6 14:00:57 echelon kernel:
Mar  6 14:00:57 echelon kernel: invalid operand: 0000 [#1]
Mar  6 14:00:57 echelon kernel: CPU:    0
Mar  6 14:00:57 echelon kernel: EIP:    0060:[<021a4393>]    Not tainted
Mar  6 14:00:57 echelon kernel: EFLAGS: 00010202   (2.6.3-2.1.238)
Mar  6 14:00:57 echelon kernel: EIP is at remove_proc_entry+0xa0/0xf1
Mar  6 14:00:57 echelon kernel: eax: 00000001   ebx: 0ce44ef8   ecx:
00000000   edx: 00000005
Mar  6 14:00:57 echelon kernel: esi: 09222850   edi: 0ce44eb0   ebp:
00000005   esp: 0c4a4ec4
Mar  6 14:00:57 echelon kernel: ds: 007b   es: 007b   ss: 0068
Mar  6 14:00:57 echelon kernel: Process modprobe (pid: 2470,
threadinfo=0c4a4000 task=04e0c6c0)
Mar  6 14:00:57 echelon kernel: Stack: 09222820 0ce44ef8 0e99c400
0ce44f3c 09222820 0c4a4000 0e9943e8 0a7c2710
Mar  6 14:00:57 echelon kernel:        0e9afa64 0e9afa64 0e99406b
0a7c2710 0e992d5a 04e467a4 0de81a40 0428aafc
Mar  6 14:00:57 echelon kernel:        0428aafc 0428aafc 0218094e
032533a8 0870d414 0de81a18 0e9ac116 0de819cc
Mar  6 14:00:57 echelon kernel: Call Trace:
Mar  6 14:00:57 echelon kernel:  [<0e9943e8>]
snd_info_unregister+0x43/0x5e [snd]
Mar  6 14:00:57 echelon kernel:  [<0e99406b>]
snd_info_card_free+0x30/0x3e [snd]
Mar  6 14:00:57 echelon kernel:  [<0e992d5a>]
snd_card_free+0x138/0x18a [snd]
Mar  6 14:00:57 echelon kernel:  [<0218094e>] dput+0x18/0x4d9
Mar  6 14:00:57 echelon kernel:  [<0e9ac116>]
snd_intel8x0_remove+0x13/0x1c [snd_intel8x0]
Mar  6 14:00:57 echelon kernel:  [<021d670a>] pci_device_remove+0x16/0x28
Mar  6 14:00:57 echelon kernel:  [<022226b2>]
device_release_driver+0x3c/0x46
Mar  6 14:00:57 echelon kernel:  [<022226d4>] driver_detach+0x18/0x26
Mar  6 14:00:57 echelon kernel:  [<022228a3>] bus_remove_driver+0x37/0x64
Mar  6 14:00:57 echelon kernel:  [<02222b70>] driver_unregister+0x9/0x2a
Mar  6 14:00:57 echelon kernel:  [<021d6867>]
pci_unregister_driver+0xb/0x13
Mar  6 14:00:57 echelon kernel:  [<0e9ac2e2>]
alsa_card_intel8x0_exit+0xa/0x1e [snd_intel8x0]
Mar  6 14:00:57 echelon kernel:  [<0213d874>] sys_delete_module+0xfe/0x11e
Mar  6 14:00:57 echelon kernel:  [<02158eab>] unmap_vma_list+0xe/0x17
Mar  6 14:00:57 echelon kernel:  [<021593bc>] do_munmap+0x1dc/0x1e6
Mar  6 14:00:57 echelon kernel:
Mar  6 14:00:57 echelon kernel: Code: 0f 0b 98 02 28 e4 2d 02 8b 47 40
85 c0 75 09 89 f8 e8 12 ff


Version-Release number of selected component (if applicable):
2.6.3-2.1.238

How reproducible:
Always

Steps to Reproduce:
1. system-config-soundcard
2. Intel 8x0 chipset detected
3. Play test sound (modprobe, ...) -> crash

Additional info:
Comment 1 Arjan van de Ven 2004-03-06 13:41:21 EST
This is the
                BUG_ON(de->subdir);

triggering in
remove_proc_entry()

eg something (alsa) is removing a directory that still has members...
yipes
Comment 2 Stefano Ruberti 2004-03-09 05:33:44 EST
Hi all,

I've the similar problem:

 system-config-soundcard &
[1] 20897
[root@perseus root]#
(system-config-soundcard.py:20900): Gdk-WARNING **: DESKTOP_STARTUP_ID
contains invalid UTF-8
FATAL: Module snd_intel8x0 is in use.
FATAL: Error running remove command for snd_intel8x0
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 16 [52%] [on]
  Front Right: Playback 16 [52%] [on]
-9

[1]+  Done                    system-config-soundcard


Stefano Ruberti
Comment 3 Arjan van de Ven 2004-03-09 05:42:10 EST
we fixed the oops *reporting* bug in the more recent kernels, but I
was hoping that at least I can get a new oops reported with this fix
so that we have an actual correct backtrace ....
Comment 4 Stefano Ruberti 2004-03-09 05:49:31 EST
Sorry, but I've been omit the information about my system:

My machine is a HP Comaq D530CMT with Fedora Core release 1.90 (FC2
Test 1)


The uname -a output is:
Linux perseus.nic.it 2.6.3-2.1.242smp #1 SMP Sat Mar 6 10:58:54 EST
2004 i686 i686 i386 GNU/Linux

The dmesg output is:
--intel8x0_measure_ac97_clock: measured 49559 usecs
intel8x0: clocking to 48000
Device not ready.  Make sure there is a disc in the drive.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
Call Trace:
 [<02125778>] __might_sleep+0x80/0x8a
 [<0215f5b4>] rw_vm+0x110/0x307
 [<02194024>] remove_proc_entry+0xa6/0xf6
 [<02194024>] remove_proc_entry+0xa6/0xf6
 [<0215fa07>] get_user_size+0x2e/0x55
 [<02194024>] remove_proc_entry+0xa6/0xf6
 [<0210dc12>] handle_BUG+0x32/0xdf
 [<0210dd23>] die+0x64/0x124
 [<0210dfce>] do_invalid_op+0x0/0x95
 [<0210e05d>] do_invalid_op+0x8f/0x95
 [<02194024>] remove_proc_entry+0xa6/0xf6
 [<0210f0ff>] do_IRQ+0x1c4/0x224
 [<02194024>] remove_proc_entry+0xa6/0xf6
 [<26fd828c>] snd_info_unregister+0x44/0x60 [snd]
 [<26fd7f15>] snd_info_card_free+0x30/0x3e [snd]
 [<26fd6c77>] snd_card_free+0x16a/0x1ed [snd]
 [<021778a2>] dput+0x1b/0x287
 [<270298df>] snd_intel8x0_remove+0x13/0x1c [snd_intel8x0]
 [<021c418b>] pci_device_remove+0x16/0x28
 [<0220d32d>] device_release_driver+0x3c/0x46
 [<0220d34f>] driver_detach+0x18/0x26
 [<0220d525>] bus_remove_driver+0x38/0x66
 [<0220d7e1>] driver_unregister+0xc/0x2c
 [<021c42cf>] pci_unregister_driver+0xb/0x13
 [<27029b6a>] alsa_card_intel8x0_exit+0xa/0x1e [snd_intel8x0]
 [<0213c3a8>] sys_delete_module+0xff/0x120
 [<0215523d>] unmap_vma_list+0xe/0x17
 [<021556eb>] do_munmap+0x17e/0x18a

invalid operand: 0000 [#1]
SMP
CPU:    0
EIP:    0060:[<02194024>]    Tainted: P
EFLAGS: 00210202   (2.6.3-2.1.242smp)
EIP is at remove_proc_entry+0xa6/0xf6
eax: 153b89f4   ebx: 12e0837c   ecx: 00000000   edx: 153b89f4
esi: 153b89f4   edi: 12e08334   ebp: 00000005   esp: 02082ec4
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 20944, threadinfo=02082000 task=042ad940)
Stack: 153b89c4 12e0837c 26fdfb70 12e083c0 153b89c4 02082000 26fd828c
18a10510
       2702d244 2702d244 26fd7f15 18a10510 26fd6c77 12d499f0 12d07c64
021778a2
       14310065 14310065 12fb75c0 12ec137c 037a1634 037a160c 270298df
037a15c0
Call Trace:
 [<26fd828c>] snd_info_unregister+0x44/0x60 [snd]
 [<26fd7f15>] snd_info_card_free+0x30/0x3e [snd]
 [<26fd6c77>] snd_card_free+0x16a/0x1ed [snd]
 [<021778a2>] dput+0x1b/0x287
 [<270298df>] snd_intel8x0_remove+0x13/0x1c [snd_intel8x0]
 [<021c418b>] pci_device_remove+0x16/0x28
 [<0220d32d>] device_release_driver+0x3c/0x46
 [<0220d34f>] driver_detach+0x18/0x26
 [<0220d525>] bus_remove_driver+0x38/0x66
 [<0220d7e1>] driver_unregister+0xc/0x2c
 [<021c42cf>] pci_unregister_driver+0xb/0x13
 [<27029b6a>] alsa_card_intel8x0_exit+0xa/0x1e [snd_intel8x0]
 [<0213c3a8>] sys_delete_module+0xff/0x120
 [<0215523d>] unmap_vma_list+0xe/0x17
 [<021556eb>] do_munmap+0x17e/0x18a

Code: 0f 0b 98 02 95 50 2c 02 8b 47 40 85 c0 75 09 89 f8 e8 0c ff
Comment 5 Michael Young 2004-03-10 03:51:10 EST
I had a panic similar to the first one in the .238 kernel, however
sound  works without any panic for me in .242
Comment 6 Robert Vojta 2004-03-10 03:55:46 EST
Michael, try to run system-config-soundcard more than one time in a
row and try to modify your driver - ALSA <-> OSS, etc. I discovered
that when I load ALSA modules first time (after fresh boot), it works,
but when I'm playing with system-config-soundcard and there is
unload/load/unload/load/unload/..., crash occurs and
system-config-soundcard is freezed.
Comment 7 Michael Young 2004-03-10 08:42:25 EST
Okay, I get the following crash when I try to rmmod snd_intel8x0
Mar 10 13:10:37 itspc114 kernel: kernel BUG at fs/proc/generic.c:664!
Mar 10 13:10:37 itspc114 kernel: invalid operand: 0000 [#1]
Mar 10 13:10:37 itspc114 kernel: CPU:    0
Mar 10 13:10:37 itspc114 kernel: EIP:    0060:[<021a49eb>]    Not tainted
Mar 10 13:10:37 itspc114 kernel: EFLAGS: 00010202   (2.6.3-2.1.246) 
Mar 10 13:10:37 itspc114 kernel: EIP is at remove_proc_entry+0xa5/0xf6
Mar 10 13:10:37 itspc114 kernel: eax: 00000001   ebx: 0887d638   ecx:
00000000   edx: 0896a820
Mar 10 13:10:37 itspc114 kernel: esi: 0896a850   edi: 0887d5f0   ebp:
00000005   esp: 0d377ec4
Mar 10 13:10:37 itspc114 kernel: ds: 007b   es: 007b   ss: 0068
Mar 10 13:10:37 itspc114 kernel: Process rmmod (pid: 1894,
threadinfo=0d377000 task=0a911980)
Mar 10 13:10:37 itspc114 kernel: Stack: 0896a820 0887d638 13139400
0887d67c 0896a820 0d377000 131313e0 104bb334 
Mar 10 13:10:37 itspc114 kernel:        13148aa4 13148aa4 1313105a
104bb334 1312fd5e 087bcd7c 11de92a8 088603a8 
Mar 10 13:10:37 itspc114 kernel:        088603a8 088603a8 02180e12
088605c0 088d2824 11de9280 13145149 11de9234 
Mar 10 13:10:37 itspc114 kernel: Call Trace:
Mar 10 13:10:37 itspc114 kernel:  [<131313e0>]
snd_info_unregister+0x43/0x5e [snd]
Mar 10 13:10:37 itspc114 kernel:  [<1313105a>]
snd_info_card_free+0x30/0x3e [snd]
Mar 10 13:10:37 itspc114 kernel:  [<1312fd5e>]
snd_card_free+0x138/0x18a [snd]
Mar 10 13:10:37 itspc114 kernel:  [<02180e12>] dput+0x18/0x4de
Mar 10 13:10:37 itspc114 kernel:  [<13145149>]
snd_intel8x0_remove+0x13/0x1c [snd_intel8x0]
Mar 10 13:10:37 itspc114 kernel:  [<021d70fa>] pci_device_remove+0x16/0x28
Mar 10 13:10:37 itspc114 kernel:  [<0222393c>]
device_release_driver+0x3c/0x46
Mar 10 13:10:37 itspc114 kernel:  [<0222395e>] driver_detach+0x18/0x26
Mar 10 13:10:37 itspc114 kernel:  [<02223b2d>] bus_remove_driver+0x37/0x64
Mar 10 13:10:37 itspc114 kernel:  [<02223dff>] driver_unregister+0xc/0x2a
Mar 10 13:10:37 itspc114 kernel:  [<021d7256>]
pci_unregister_driver+0xb/0x13
Mar 10 13:10:37 itspc114 kernel:  [<13145326>]
alsa_card_intel8x0_exit+0xa/0x1e [snd_intel8x0]
Mar 10 13:10:37 itspc114 kernel:  [<0213d9a4>]
sys_delete_module+0xfe/0x11e
Mar 10 13:10:37 itspc114 kernel:  [<0215910d>] unmap_vma_list+0xe/0x17
Mar 10 13:10:37 itspc114 kernel:  [<0215961e>] do_munmap+0x1dc/0x1e6
Mar 10 13:10:37 itspc114 kernel: 
Mar 10 13:10:37 itspc114 kernel: Code: 0f 0b 98 02 1f 05 2e 02 8b 47
40 85 c0 75 09 89 f8 e8 0d ff
Comment 8 Arjan van de Ven 2004-03-12 06:12:34 EST
ok the alsa guys fixed this; will be in the next build
Comment 9 Alan Cox 2004-05-03 14:11:35 EDT
Confirmed fixed

Note You need to log in before you can comment on or make changes to this bug.